petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMGetDimPoints

Get the half-open interval for all points of a given dimension

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMGetDimPoints(DM dm, PetscInt dim, PetscInt *pStart, PetscInt *pEnd)

Collective on DM Many br

### Input Parameters

| dm | - the DM Many br
| dim | - the dimension Many br

### Output Parameters

| pStart | - The first point of the given dimension Many br
| pEnd | - The first point following points of the given dimension Many br

### Note

The points are vertices in the Hasse diagram encoding the topology. This is explained in Many brhttp://arxiv.org/abs/0908.4427. If not points exist of this dimension in the storage scheme, Many brthen the interval is empty. Many br

Many br

### Keywords

point, Hasse Diagram, dimension

### See Also

DMPLEX, DMPlexGetDepthStratum(), DMPlexGetHeightStratum()

Level:intermediate
Location:src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages